Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 123427

Summary: Memory leak in NavigationRuleImpl
Product: javaee Reporter: Petr Blaha <blaha>
Component: JSFAssignee: Petr Pisl <ppisl>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC: abadea, issues, non_migrated_user, pjiricka, pnejedly
Version: 6.xKeywords: PERFORMANCE
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard: release601_fixes_candidate1, release601_fixes_fixed
Issue Type: DEFECT Exception Report:

Description Petr Blaha 2007-12-05 09:50:45 UTC
In the bug is tracked the leaks reported in issue #123003. The biggest consumer of the memory there is a little typo in:
/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/NavigationRuleImpl.java
Comment 1 Petr Blaha 2007-12-05 09:51:31 UTC
The issue is fixed in trunk, pnejedly's comment

I fixed the facesmodel part in trunk:
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/DescriptionGroupImpl.java,v1.4
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/IconImpl.java,v1.3
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/LocaleConfigImpl.java,v1.3
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/ManagedBeanImpl.java,v1.8
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/NavigationCaseImpl.java,v1.7
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/NavigationRuleImpl.java,v1.6
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/ResourceBundleImpl.java,v1.3

The rest of the leak remains.
I would strongly vote for including this part of the fix to patch1, as it would improve
the user experience with visual web significantly.
Comment 2 Petr Blaha 2008-01-31 13:18:21 UTC
v
Comment 3 khu 2008-02-05 18:12:43 UTC
The fixes have been ported into the release601_fixes branch (as part of port on issue #123003)
Checking in DescriptionGroupImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/DescriptionGroupImpl.java,v  <-- 
DescriptionGroupImpl.java
new revision: 1.3.8.1; previous revision: 1.3
done
Checking in IconImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/IconImpl.java,v  <--  IconImpl.java
new revision: 1.2.8.1; previous revision: 1.2
done
Checking in LocaleConfigImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/LocaleConfigImpl.java,v  <--  LocaleConfigImpl.java
new revision: 1.2.8.1; previous revision: 1.2
done
Checking in ManagedBeanImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/ManagedBeanImpl.java,v  <--  ManagedBeanImpl.javanew
revision: 1.7.8.1; previous revision: 1.7
done
Checking in NavigationCaseImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/NavigationCaseImpl.java,v  <--  NavigationCaseImpl.java
new revision: 1.6.8.1; previous revision: 1.6
done
Checking in NavigationRuleImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/NavigationRuleImpl.java,v  <--  NavigationRuleImpl.java
new revision: 1.5.8.1; previous revision: 1.5
done
Checking in ResourceBundleImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/ResourceBundleImpl.java,v  <--  ResourceBundleImpl.java
new revision: 1.2.8.1; previous revision: 1.2
done
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo